starknet_pendingTransactions

Returns the transactions in the transaction pool, recognized by this sequencer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

None

Result

The transactions in the transaction pool, recognized by this sequencer.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
        {
    "id": 1,
    "jsonrpc": "2.0",
    "method": "starknet_pendingTransactions"
}'

Return

{
    "jsonrpc": "2.0",
    "result": [
        {
            "type": "INVOKE",
            "version": "0x1",
            "transaction_hash": "0x187e2df09634b4b4ff7e186c88fa7ca22df44637dec4ed7b86c4b43e8953ec9",
            "max_fee": "0x2773077796000",
            "signature": [
                "0x420e30140d7e9d8547d84022a7806a45854a5aee6f3081dba5535d8a6b92672",
                "0x44a85e82d27a8b359261f3584baab03cddeea08c02e2d6b81d5ab5b340a9c58"
            ],
            "nonce": "0x6",
            "sender_address": "0x43bd486becccb8e6bfe8e891de5adc3edce1e6f1a355292d72ecd254d2d5c0d",
            "calldata": [
                "0x1",
                "0x76503062d78f4481be03c9145022d6a4a71ec0719aa07756f79a2384dc7ef16",
                "0x2f0b3c5710379609eb5495f1ecd348cb28167711b73609fe565a72734550354",
                "0x0",
                "0x6",
                "0x6",
                "0x181fe94b71",
                "0x0",
                "0x7b",
                "0x2",
                "0x15e94d2f44ef6400e805a706253fa46c2c94e7e1068921d107885290e0262e9",
                "0x35797c1d519e01c9115e17ba7848c4a75653bbea390796beec7904e9a575ff6"
            ]
        },
        ...
    ],
    "id": 1
}
    
Path Params
string
required
Defaults to 8aaf885beba8418cbf4e6788083e1f9e
Body Params
string
Defaults to {"jsonrpc":"2.0","method":"starknet_syncing","params": [],"id":1}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json